Docs
Get an API key

Granite Speech 5.0 2B granite-speech-5.0-2b

IBM's compact speech recognition model for English, French, German, Spanish, Portuguese and Japanese, with punctuated transcripts and numbers in digits.

From the live catalog
View .md
Input
$0.00000555 / second
region ATL quantization bf16 Hugging Face ibm-granite/granite-speech-5.0-2b

Limits

What one subscription may send this model. Limits says what happens past them.

Requests a minuteAt once
305

Inputs

InputAccepts
audio
sources base64
formats wav, mpeg
max length 14K seconds
max size 25 MB

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
languageany
promptany
temperaturenumber0–1
response_formatstringjson, text

Endpoints

A request

curl https://api.vultrinference.com/v1/audio/transcriptions \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "granite-speech-5.0-2b",
    "input_audio": {
      "data": "UklGRiQAAABXQVZFZm10IBAAAAABAAEAgD4AAAB9AAACABAAZGF0YQAAAAA=",
      "format": "wav"
    },
    "language": "en"
  }'